PipeWire: Link Impl

PipeWire 1.4.7

Loading...
Searching...
No Matches
Link Impl
Implementation API

PipeWire link object. More...

## Files
file | impl-link.h
| pipewire/impl-link.h

## Data Structures
struct | pw_impl_link_events
| link events added with pw_impl_link_add_listener More...
struct | pw_impl_link
struct | pw_impl_port

## Macros
#define | PW_VERSION_IMPL_LINK_EVENTS 0

## Functions
struct pw_impl_link * | pw_context_create_link (struct pw_context *context, struct pw_impl_port *output, struct pw_impl_port *input, struct spa_pod *format_filter, struct pw_properties *properties, size_t user_data_size)
| Make a new link between two ports.
void | pw_impl_link_destroy (struct pw_impl_link *link)
| Destroy a link.
void | pw_impl_link_add_listener (struct pw_impl_link *link, struct spa_hook *listener, const struct pw_impl_link_events *events, void *data)
| Add an event listener to link.
int | pw_impl_link_register (struct pw_impl_link *link, struct pw_properties *properties)
| Finish link configuration and register.
struct pw_context * | pw_impl_link_get_context (struct pw_impl_link *link)
| Get the context of a link.
void * | pw_impl_link_get_user_data (struct pw_impl_link *link)
| Get the user_data of a link, the size of the memory is given when constructing the link.
const struct pw_link_info * | pw_impl_link_get_info (struct pw_impl_link *link)
| Get the link info.
struct pw_global * | pw_impl_link_get_global (struct pw_impl_link *link)
| Get the global of the link.
struct pw_impl_port * | pw_impl_link_get_output (struct pw_impl_link *link)
| Get the output port of the link.
struct pw_impl_port * | pw_impl_link_get_input (struct pw_impl_link *link)
| Get the input port of the link.
struct pw_impl_link * | pw_impl_link_find (struct pw_impl_port *output, struct pw_impl_port *input)
| Find the link between 2 ports.

## Detailed Description

PipeWire link object.

## Macro Definition Documentation

## ◆ PW_VERSION_IMPL_LINK_EVENTS

#define PW_VERSION_IMPL_LINK_EVENTS 0

## Function Documentation

## ◆ pw_context_create_link()

struct pw_impl_link * pw_context_create_link | ( | struct pw_context * | context,
|  | struct pw_impl_port * | output,
|  | struct pw_impl_port * | input,
|  | struct spa_pod * | format_filter,
|  | struct pw_properties * | properties,
|  | size_t | user_data_size )

Make a new link between two ports.

Returns
  a newly allocated link

Parameters

  context | the context object
  output | an output port
  input | an input port
  format_filter | an optional format filter
  properties | extra properties
  user_data_size | extra user data size

## ◆ pw_impl_link_destroy()

void pw_impl_link_destroy | ( | struct pw_impl_link * | link | ) |

Destroy a link.

## ◆ pw_impl_link_add_listener()

void pw_impl_link_add_listener | ( | struct pw_impl_link * | link,
|  | struct spa_hook * | listener,
|  | const struct pw_impl_link_events * | events,
|  | void * | data )

Add an event listener to link.

## ◆ pw_impl_link_register()

int pw_impl_link_register | ( | struct pw_impl_link * | link,
|  | struct pw_properties * | properties )

Finish link configuration and register.

Parameters

  link | the link to register
  properties | extra properties

## ◆ pw_impl_link_get_context()

struct pw_context * pw_impl_link_get_context | ( | struct pw_impl_link * | link | ) |

Get the context of a link.

## ◆ pw_impl_link_get_user_data()

void * pw_impl_link_get_user_data | ( | struct pw_impl_link * | link | ) |

Get the user_data of a link, the size of the memory is given when constructing the link.

## ◆ pw_impl_link_get_info()

const struct pw_link_info * pw_impl_link_get_info | ( | struct pw_impl_link * | link | ) |

Get the link info.

## ◆ pw_impl_link_get_global()

struct pw_global * pw_impl_link_get_global | ( | struct pw_impl_link * | link | ) |

Get the global of the link.

## ◆ pw_impl_link_get_output()

struct pw_impl_port * pw_impl_link_get_output | ( | struct pw_impl_link * | link | ) |

Get the output port of the link.

## ◆ pw_impl_link_get_input()

struct pw_impl_port * pw_impl_link_get_input | ( | struct pw_impl_link * | link | ) |

Get the input port of the link.

## ◆ pw_impl_link_find()

struct pw_impl_link * pw_impl_link_find | ( | struct pw_impl_port * | output,
|  | struct pw_impl_port * | input )

Find the link between 2 ports.